process BUILD_MATRIX_COOL {
    tag "$meta1.id"
    label 'process_single'

    conda "conda-forge::python=3.9 conda-forge::biopython=1.80 conda-forge::numpy=1.22.3 conda-forge::matplotlib=3.6.3 conda-forge::pandas=1.5.3"
    container = "docker.io/lbmc/hicstuff:3.1.3"

    input:
    tuple val(meta1), path(idx_pairs)
    tuple val(meta), path(fragments_list)

    output:
    tuple val(meta), path("${meta1.id}_*.cool"), emit: matrix

    script:

    def args = task.ext.args ?: ''
    def base = args.replaceFirst(/.txt/,"")

    """
    hicstuff_build_matrix.py -p ${idx_pairs} -f ${fragments_list} -t cool -o ${args}

    mv ${base}.cool ${meta1.id}_${base}.cool
    """
}
